<?php

namespace Database\Seeders;

use App\Models\Parametro;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ParametrosTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Parametro::create(['tipo'=>'tipo_denuncia', 'titulo'=>'Denuncia por hechos de corrupción']);
        Parametro::create(['tipo'=>'tipo_denuncia', 'titulo'=>'Denuncia por negativa injustificada de acceso a la información']);
        Parametro::create(['tipo'=>'tipo_denuncia', 'titulo'=>'Denuncia por irregularidades o falsedad de títulos, certificados académicos o profesionales']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'Registrada']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'Recepcionada']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'En revisión']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'Derivada']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'Observada']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'En proceso']);
        Parametro::create(['tipo'=>'estado_denuncia', 'titulo'=>'Finalizada']);
    }
}
